POST
/api/v1/rds/parameter-group/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/rds/parameter-group/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "template_id": "1", "name": "meghna", "description": ""}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/rds/parameter-group/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "template_id": "1", "name": "meghna", "description": "", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/rds/parameter-group/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "template_id": "1", "name": "meghna", "description": "" }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
template_id
required
string
Example
1name
required
string
Example
meghnadescription
string
Example
Responses
Section titled “Responses”Successful response after creating a parameter group
Media typeapplication/json
object
code
integer
data
object
errors
object
key
additional properties
any
message
string
Example
{ "code": 200, "data": {}, "errors": {}, "message": "Success"}